#!/bin/sh
PHONES_LIST=~/.alert_phones
IMSI_FILE=/ezx_user/download/appwrite/phone/imsi
IMSIS_LIST=~/.my_imsis
TEXT_TO_SEND="Stolen phone alarm. IMSI: "

read imsi < $IMSI_FILE

if [[ ! -a $IMSIS_LIST ]]
then
        exit
fi

while read mimsi
do
        if [[ $mimsi == $imsi ]]
        then
                echo "IMSI: '$imsi' and '$mimsi' matched... 
ignoring..."
		exit
        fi
done < $IMSIS_LIST

echo "IMSI: '$imsi' mismatched... sending alert..."

while read num
do
	/mmc/mmca1/bin/smssender $num "$TEXT_TO_SEND $imsi"
done < $PHONES_LIST
